### Hierarchy

- Renderer

## Index

### Constructors

- constructor

### Methods

- blockquote
- br
- code
- codespan
- del
- em
- heading
- hr
- html
- image
- link
- list
- listitem
- paragraph
- strong
- table
- tablecell
- tablerow
- text

## Constructors

### constructor

- new Renderer(options?: MarkedOptions): Renderer

- - Defined in node_modules/@types/marked/index.d.ts:69

  #### Parameters

  - ##### Optional options: MarkedOptions

  #### Returns Renderer

## Methods

### blockquote

- blockquote(quote: string): string

- - Defined in node_modules/@types/marked/index.d.ts:72

  #### Parameters

  - ##### quote: string

  #### Returns string

### br

- br(): string

- - Defined in node_modules/@types/marked/index.d.ts:88

  #### Returns string

### code

- code(code: string, language: string, isEscaped: boolean): string

- - Defined in node_modules/@types/marked/index.d.ts:71

  #### Parameters

  - ##### code: string

  - ##### language: string

  - ##### isEscaped: boolean

  #### Returns string

### codespan

- codespan(code: string): string

- - Defined in node_modules/@types/marked/index.d.ts:87

  #### Parameters

  - ##### code: string

  #### Returns string

### del

- del(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:89

  #### Parameters

  - ##### text: string

  #### Returns string

### em

- em(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:86

  #### Parameters

  - ##### text: string

  #### Returns string

### heading

- heading(text: string, level: number, raw: string): string

- - Defined in node_modules/@types/marked/index.d.ts:74

  #### Parameters

  - ##### text: string

  - ##### level: number

  - ##### raw: string

  #### Returns string

### hr

- hr(): string

- - Defined in node_modules/@types/marked/index.d.ts:75

  #### Returns string

### html

- html(html: string): string

- - Defined in node_modules/@types/marked/index.d.ts:73

  #### Parameters

  - ##### html: string

  #### Returns string

### image

- image(href: string, title: string, text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:91

  #### Parameters

  - ##### href: string

  - ##### title: string

  - ##### text: string

  #### Returns string

### link

- link(href: string, title: string, text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:90

  #### Parameters

  - ##### href: string

  - ##### title: string

  - ##### text: string

  #### Returns string

### list

- list(body: string, ordered: boolean, start: number): string

- - Defined in node_modules/@types/marked/index.d.ts:76

  #### Parameters

  - ##### body: string

  - ##### ordered: boolean

  - ##### start: number

  #### Returns string

### listitem

- listitem(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:77

  #### Parameters

  - ##### text: string

  #### Returns string

### paragraph

- paragraph(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:78

  #### Parameters

  - ##### text: string

  #### Returns string

### strong

- strong(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:85

  #### Parameters

  - ##### text: string

  #### Returns string

### table

- table(header: string, body: string): string

- - Defined in node_modules/@types/marked/index.d.ts:79

  #### Parameters

  - ##### header: string

  - ##### body: string

  #### Returns string

### tablecell

- tablecell(content: string, flags: object): string

- - Defined in node_modules/@types/marked/index.d.ts:81

  #### Parameters

  - ##### content: string

  - ##### flags: object

    - ##### align: "center" | "left" | "right" | null

    - ##### header: boolean

  #### Returns string

### tablerow

- tablerow(content: string): string

- - Defined in node_modules/@types/marked/index.d.ts:80

  #### Parameters

  - ##### content: string

  #### Returns string

### text

- text(text: string): string

- - Defined in node_modules/@types/marked/index.d.ts:92

  #### Parameters

  - ##### text: string

  #### Returns string

Generated using TypeDoc